php-zendframework-zend-test-3.2.2-1.fc29.remi.noarch.rpm


Advertisement

Description

php-zendframework-zend-test - Zend Framework Test component

Property Value
Distribution Fedora 29
Repository Les RPM de Remi x86_64
Package filename php-zendframework-zend-test-3.2.2-1.fc29.remi.noarch.rpm
Package name php-zendframework-zend-test
Package version 3.2.2
Package release 1.fc29.remi
Package architecture noarch
Package type rpm
Category Development/Libraries
Homepage https://zendframework.github.io/zend-test/
License BSD
Maintainer -
Download size 21.89 KB
Installed size 69.27 KB
The Zend\Test component provides tools to facilitate unit testing of your
Zend Framework applications. At this time, we offer facilities to enable
testing of your Zend Framework MVC applications.
PHPUnit is the only library supported currently.
Documentation: https://zendframework.github.io/zend-test/

Alternatives

Package Version Architecture Repository
php-zendframework-zend-test-3.3.0-1.fc29.remi.noarch.rpm 3.3.0 noarch Les RPM de Remi
php-zendframework-zend-test-3.3.0-1.fc29.remi.noarch.rpm 3.3.0 noarch Les RPM de Remi
php-zendframework-zend-test-3.3.0-1.fc29.noarch.rpm 3.3.0 noarch Fedora Updates
php-zendframework-zend-test-3.3.0-1.fc29.noarch.rpm 3.3.0 noarch Fedora Updates
php-zendframework-zend-test-3.2.2-1.fc29.remi.noarch.rpm 3.2.2 noarch Les RPM de Remi
php-zendframework-zend-test-3.2.0-2.fc29.noarch.rpm 3.2.0 noarch Fedora
php-zendframework-zend-test-3.2.0-2.fc29.noarch.rpm 3.2.0 noarch Fedora
php-zendframework-zend-test - - -

Requires

Name Value
(php-autoloader(zendframework/zend-console) >= 2.6 with php-autoloader(zendframework/zend-console) < 3)
(php-autoloader(zendframework/zend-dom) >= 2.6 with php-autoloader(zendframework/zend-dom) < 3)
(php-autoloader(zendframework/zend-eventmanager) >= 2.6.2 with php-autoloader(zendframework/zend-eventmanager) < 4)
(php-autoloader(zendframework/zend-http) >= 2.8.3 with php-autoloader(zendframework/zend-http) < 3)
(php-autoloader(zendframework/zend-mvc) >= 3.0 with php-autoloader(zendframework/zend-mvc) < 4)
(php-autoloader(zendframework/zend-servicemanager) >= 2.7.5 with php-autoloader(zendframework/zend-servicemanager) < 4)
(php-autoloader(zendframework/zend-stdlib) >= 2.7 with php-autoloader(zendframework/zend-stdlib) < 4)
(php-autoloader(zendframework/zend-uri) >= 2.5 with php-autoloader(zendframework/zend-uri) < 3)
(php-autoloader(zendframework/zend-view) >= 2.6.3 with php-autoloader(zendframework/zend-view) < 3)
(php-composer(sebastian/version) >= 1.0.4 with php-composer(sebastian/version) < 3)
php(language) >= 5.6
php-composer(fedora/autoloader) -
php-pcre -

Provides

Name Value
php-ZendFramework2-Test = 3.2.2
php-autoloader(zendframework/zend-test) = 3.2.2
php-composer(zendframework/zend-test) = 3.2.2
php-zendframework-zend-test = 3.2.2-1.fc29.remi

Obsoletes

Name Value
php-ZendFramework2-Test < 2.5

Download

Type URL
Mirror rpms.remirepo.net
Binary Package php-zendframework-zend-test-3.2.2-1.fc29.remi.noarch.rpm
Source Package php-zendframework-zend-test-3.2.2-1.fc29.remi.src.rpm

Install Howto

  1. Download latest remi-release rpm from
    http://rpms.remirepo.net/fedora/29/remi/x86_64/
  2. Install remi-release rpm:
    # rpm -Uvh remi-release*rpm
  3. Install php-zendframework-zend-test rpm package:
    # dnf --enablerepo=remi install php-zendframework-zend-test

Files

Path
/usr/share/doc/php-zendframework-zend-test/CHANGELOG.md
/usr/share/doc/php-zendframework-zend-test/README.md
/usr/share/doc/php-zendframework-zend-test/composer.json
/usr/share/licenses/php-zendframework-zend-test/LICENSE
/usr/share/php/Zend/Test-autoload.php
/usr/share/php/Zend/Test/autoload.php
/usr/share/php/Zend/Test/phpunit-class-aliases.php
/usr/share/php/Zend/Test/PHPUnit/
/usr/share/php/Zend/Test/PHPUnit/Controller/AbstractConsoleControllerTestCase.php
/usr/share/php/Zend/Test/PHPUnit/Controller/AbstractControllerTestCase.php
/usr/share/php/Zend/Test/PHPUnit/Controller/AbstractHttpControllerTestCase.php
/usr/share/php/Zend/Test/Util/ModuleLoader.php

Changelog

2019-01-09 - Remi Collet <remi@remirepo.net> - 3.2.2-1
- update to 3.2.2
- raise dependency on zend-http >= 2.8.3
2018-12-11 - Remi Collet <remi@remirepo.net> - 3.2.1-1
- update to 3.2.1
- use range dependencies
2018-04-12 - Remi Collet <remi@remirepo.net> - 3.2.0-1
- update to 3.2.0
- allow phpunit7

See Also

Package Description
php-zendframework-zend-uri-2.7.0-2.fc29.remi.noarch.rpm Zend Framework Uri component
php-zendframework-zend-uri-2.7.1-2.fc29.remi.noarch.rpm Zend Framework Uri component
php-zendframework-zend-validator-2.12.0-1.fc29.remi.noarch.rpm Zend Framework Validator component
php-zendframework-zend-validator-2.12.1-1.fc29.remi.noarch.rpm Zend Framework Validator component
php-zendframework-zend-view-2.11.2-3.fc29.remi.noarch.rpm Zend Framework View component
php-zendframework-zend-view-2.11.3-1.fc29.remi.noarch.rpm Zend Framework View component
php-zendframework-zenddiagnostics-1.4.0-1.fc29.remi.noarch.rpm A set of components for performing diagnostic tests
php-zendframework-zenddiagnostics-1.5.0-1.fc29.remi.noarch.rpm A set of components for performing diagnostic tests
php-zendframework-zendpdf-2.0.2-9.fc29.remi.noarch.rpm Zend Framework ZendPdf component
php-zendframework-zendservice-recaptcha-3.2.0-1.fc29.remi.noarch.rpm Zend Framework ReCaptcha component
php-zendframework-zendxml-1.2.0-1.fc29.remi.noarch.rpm Zend Framework ZendXml component
php-zephir-parser-1.3.1-1.fc29.remi.7.2.x86_64.rpm Zephir parser extension
php-zephir-parser-1.3.2-1.fc29.remi.7.2.x86_64.rpm Zephir parser extension
php-zephir-parser-devel-1.3.1-1.fc29.remi.7.2.x86_64.rpm php-zephir-parser developer files (headers)
php-zephir-parser-devel-1.3.2-1.fc29.remi.7.2.x86_64.rpm php-zephir-parser developer files (headers)
Advertisement
Advertisement